package cn.iocoder.yudao.module.member.enums;

import java.util.stream.Stream;

public enum TransportTypeEnum {
    OTHER(0, "其他"),
    OCEAN_LCL(1, "海运拼柜"),
    SPECIAL_LINE_AIR_FREIGHT(3, "专线空运");

    private final int value;

    private final String name;

    TransportTypeEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public int getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public static TransportTypeEnum parseByValue(int value) {
        return Stream.of(values()).filter(e -> e.getValue() == value).findAny().orElse(null);
    }
}
